Special-purpose layers
----------------------

.. automodule:: lasagne.layers.special

.. currentmodule:: lasagne.layers

.. autoclass:: NonlinearityLayer
   :members:

.. autoclass:: BiasLayer
   :members:

.. autoclass:: ScaleLayer
   :members:

.. autofunction:: standardize

.. autoclass:: ExpressionLayer
   :members:

.. autoclass:: InverseLayer
    :members:

.. autoclass:: TransformerLayer
    :members:

.. autoclass:: TPSTransformerLayer
    :members:

.. autoclass:: ParametricRectifierLayer
    :members:

.. autofunction:: prelu

.. autoclass:: RandomizedRectifierLayer
    :members:

.. autofunction:: rrelu

